For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
      • GETList conversation messages
      • GETList response messages
      • POSTSubmit feedback
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
(Beta) Conversations APIMessages

Submit feedback

||View as Markdown|
POST
https://api.moveworks.ai/rest/v1beta1/conversations/:conversation_id/responses/:response_id/messages/:message_id/feedback
POST
/rest/v1beta1/conversations/:conversation_id/responses/:response_id/messages/:message_id/feedback
$curl -X POST https://api.moveworks.ai/rest/v1beta1/conversations/conv_32bt7BMLhLyVzTUjfi35N/responses/resp_32bt7rXXugeJjvE3pQzOk/messages/msg_32bt8vagXAoRwRLIdI2Oj/feedback \
> -H "Assistant-Name: acmecorp-conversations-rest-api" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "callback_id": "eyJhY3Rpb24iOiJoZWxwZnVsIi4uLn0",
> "additional_feedback": "The response answered my question clearly."
>}'
1{
2 "status": "SUBMITTED"
3}

Submits a feedback rating (helpful or unhelpful) for a specific assistant message.

Use the callback_id from the message’s feedback field to indicate which rating is being submitted. The callback_id is an opaque token. Pass it back exactly as received.

Optionally include additional_feedback for free-text comments.

Was this page helpful?
Previous

List conversations

Next
Built with

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Path parameters

conversation_idstringRequired

A base-62 identifier prefixed by a short resource type

response_idstringRequired

A base-62 identifier prefixed by a short resource type

message_idstringRequired

A base-62 identifier prefixed by a short resource type

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.

Request

This endpoint expects an object.
callback_idstringRequired

The callback_id from either feedback.helpful or feedback.unhelpful on the message object. Determines which rating (helpful or unhelpful) is being submitted.

additional_feedbackstringOptional<=1000 characters

Optional free-text feedback from the user. Use this to capture additional context about why the user rated the response this way.

Response headers

x-moveworks-root-uuidstring
A unique identifier used to trace your request within the Moveworks system

Response

Feedback submitted successfully
statusenum
Feedback submission status
Allowed values:

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error